Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# DirectionalLight Class Reference

A light shining from infinitely far away in a particular direction, like sunlight. More...

Inheritance diagram for DirectionalLight:

List of all members.

## Public Member Functions
| DirectionalLight (string name)
Vec3 const | getDirection ()
| Returns the direction in which the light is aimed.
Point3 const | getPoint ()
| Returns the point in space at which the light is located.
VBase4 const | getSpecularColor ()
| Returns the color of specular highlights generated by the light.
| setDirection (Vec3 const direction)
| Sets the direction in which the light is aimed.
| setPoint (Point3 const point)
| Sets the point in space at which the light is located.
| setSpecularColor (VBase4 const color)
| Sets the color of specular highlights generated by the light.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

A light shining from infinitely far away in a particular direction, like sunlight.

## Constructor & Destructor Documentation

DirectionalLight | ( | string | name | ) |

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from LightLensNode.

Vec3 const getDirection | ( |  | ) |

Returns the direction in which the light is aimed.

This is local to the coordinate space in which the light is assigned.

Point3 const getPoint | ( |  | ) |

Returns the point in space at which the light is located.

This is local to the coordinate space in which the light is assigned.

This actually has no bearing on the visual effect of the light, since the light is rendered as if it were infinitely far away. This is only used to create a visible representation of the light.

VBase4 const getSpecularColor | ( |  | ) |

Returns the color of specular highlights generated by the light.

setDirection | ( | Vec3 const | direction | ) |

Sets the direction in which the light is aimed.

setPoint | ( | Point3 const | point | ) |

Sets the point in space at which the light is located.

setSpecularColor | ( | VBase4 const | color | ) |

Sets the color of specular highlights generated by the light.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties